Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.synex.xml.sax
Interface XMLHandler

All Known Implementing Classes:
  XMLHandlerImpl

public interface XMLHandler

Basic interface for SAX handlers.

Method Summary
`void` | `endElement(java.lang.String element)` A container element end event handling method.
`void` | `handleElement(java.lang.String element, org.xml.sax.Attributes meta)` An empty element event handling method.
`void` | `handleElement(java.lang.String element, java.lang.String data, org.xml.sax.Attributes meta)` A data element event handling method.
`void` | `startElement(java.lang.String element, org.xml.sax.Attributes meta)` A container element start event handling method.

Method Detail

### startElement

    public void startElement(java.lang.String element,
                             org.xml.sax.Attributes meta)
                      throws org.xml.sax.SAXException

  A container element start event handling method.
  Parameters:
    `element` - value or null
    `meta` - attributes
  Throws:
    `org.xml.sax.SAXException` - Any SAX exception, possibly wrapping another exception.

### endElement

    public void endElement(java.lang.String element)
                    throws org.xml.sax.SAXException

  A container element end event handling method.
  Parameters:
    `element` - value or null
  Throws:
    `org.xml.sax.SAXException` - Any SAX exception, possibly wrapping another exception.

### handleElement

    public void handleElement(java.lang.String element,
                              org.xml.sax.Attributes meta)
                       throws org.xml.sax.SAXException

  An empty element event handling method.
  Parameters:
    `element` - value or null
    `meta` - attributes
  Throws:
    `org.xml.sax.SAXException` - Any SAX exception, possibly wrapping another exception.

### handleElement

    public void handleElement(java.lang.String element,
                              java.lang.String data,
                              org.xml.sax.Attributes meta)
                       throws org.xml.sax.SAXException

  A data element event handling method.
  Parameters:
    `element` - value or null
    `data` - value or null
    `meta` - attributes
  Throws:
    `org.xml.sax.SAXException` - Any SAX exception, possibly wrapping another exception.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see XML Bulk Loader Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2002 Sergey Yakovlev, All Rights Reserved.